package cn.com.qmth.stmms.biz.exam.service;

import java.util.List;

import cn.com.qmth.stmms.biz.exam.bean.ScoreVerifyVo;
import cn.com.qmth.stmms.biz.exam.model.ScoreVerify;
import cn.com.qmth.stmms.biz.exam.query.ScoreVerifyQuery;

public interface ScoreVerifyService {

	List<ScoreVerifyVo> findByQuery(ScoreVerifyQuery req);

	Integer countByQuery(Integer scoreVerifyId);

	ScoreVerify findByExamIdAndUserId(Integer examId, Integer userId);

	Integer createQuery(ScoreVerifyQuery query);

	Integer needVerifyCount(Integer scoreVerifyId);

	void reset(Integer id);

	List<ScoreVerifyVo> findFlagged(Integer id);

	List<ScoreVerifyVo> needVerify(Integer id);
}
