package cn.com.qmth.stmms.biz.exam.service;

import java.util.List;

import cn.com.qmth.stmms.biz.exam.model.AnswerCard;
import cn.com.qmth.stmms.biz.exam.model.AnswerCardSubject;

public interface AnswerCardService {

    List<AnswerCard> findByExamId(Integer examId);

    AnswerCard findByExamIdAndNumber(Integer examId, Integer number);

    int findMaxNumberByExamId(Integer examId);

    void save(AnswerCard card, String subjectCode);

    void delete(AnswerCard card);

    AnswerCard findByExamIdAndSubjectCode(Integer examId, String subjectCode);

    List<AnswerCardSubject> getSubjectByExamIdAndNumber(Integer examId, Integer number);

}
